<?
session_start();
include("../includes/common.php");




$code = ($_POST['code']==0)?trim($_GET['code']):trim($_POST['code']);

$status = "";

if (eregi("^[a-zA-Z0-9]{25}$", $code))
{
	$query = "select * from partners where activation_code='".addslashes($code)."'";
	
	$r = @mysql_fetch_object(@mysql_query($query));
	if (($r->id != 0) && ($r->status == 0))
	{
		@mysql_query("update partners set status='1', activation_code='' where activation_code='".addslashes($code)."'");
		$status =  "Ваш аккаунт успешно активирован";
	}			
}

$smarty->assign("title", $SETTINGS['site_name']);
$smarty->assign("info", "С помощью этого обменника вы можете моментально 
обменять одну электронную валюту на другую. Для совершения операции
 нажмите на строку с той валютой, которую вы хотите получить.");
$smarty->assign("ex_currencies", $ex_currencies);
$smarty->assign("main_class", "header1");
$smarty->assign("money_cources", get_currency_cources());
$smarty->assign("metal_cources", get_metal_cources());
$smarty->assign("status", $status);
$smarty->display("smartex_activate.tpl");

?>